Debian Bug report logs - #517389
postgresql-8.3: cannot create db cluster during installation 8.3 on lenny

version graph

Package: udev-udeb; Maintainer for udev-udeb is Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>; Source for udev-udeb is src:systemd.

Reported by: Ralf Swhajor <development@industryconsult.de>

Date: Fri, 27 Feb 2009 12:48:04 UTC

Severity: important

Fixed in version udev/0.140-1

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, development@industryconsult.de, Martin Pitt <mpitt@debian.org>:
Bug#517389; Package postgresql-8.3. (Fri, 27 Feb 2009 12:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Swhajor <development@industryconsult.de>:
New Bug report received and forwarded. Copy sent to development@industryconsult.de, Martin Pitt <mpitt@debian.org>. (Fri, 27 Feb 2009 12:48:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Swhajor <development@industryconsult.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: postgresql-8.3: cannot create db cluster during installation 8.3 on lenny
Date: Fri, 27 Feb 2009 13:46:48 +0100
Package: postgresql-8.3
Version: 8.3.6-1
Severity: grave
Justification: renders package unusable

the installation process cannot create the db cluster.
all directories .../8.3/main are missing.

here's an error log
Feb 26 10:09:42 in-target: RICHTE POSTGRESQL-CLIENT-COMMON EIN 
(94LENNY1) ...^M
Feb 26 10:09:42 in-target: RICHTE POSTGRESQL-CLIENT-8.3 EIN (8.3.6-1) 
....^M
Feb 26 10:09:42 in-target: RICHTE POSTGRESQL-COMMON EIN (94LENNY1) ...^M
Feb 26 10:09:43 debconf: Obsolete command TITLE Konfiguriere 
postgresql-common called
Feb 26 10:09:43 in-target: SUPPORTED_VERSIONS: WARNING: UNKNOWN DEBIAN 
RELEASE: 5.0^M
Feb 26 11:09:43 groupadd[7780]: new group: name=postgres, GID=117
Feb 26 11:09:43 useradd[7784]: new user: name=postgres, UID=108, 
GID=117, home=/var/lib/postgresql, shell=/bin/bash
Feb 26 11:09:43 usermod[7789]: change user `postgres' password
Feb 26 11:09:43 chage[7794]: changed password expiry for postgres
Feb 26 11:09:43 chfn[7797]: changed user `postgres' information
Feb 26 10:09:43 in-target: FÃŒGE BENUTZER POSTGRES ZU GRUPPE SSL-CERT 
HINZU^M
Feb 26 11:09:43 gpasswd[7813]: add member postgres to group ssl-cert by 
root
Feb 26 10:09:44 in-target: RICHTE POSTGRESQL-8.3 EIN (8.3.6-1) ...^M
Feb 26 10:09:44 in-target: CREATING NEW CLUSTER (CONFIGURATION: 
/ETC/POSTGRESQL/8.3/MAIN, DATA: /VAR/LIB/POSTGRESQL/8.3/MAIN)...^M
Feb 26 10:09:44 in-target: SH: /DEV/NULL: KEINE BERECHTIGUNG^M
Feb 26 10:09:44 in-target: FGETS FAILURE: ERFOLG^M
Feb 26 10:09:44 in-target: DAS PROGRAMM »POSTGRES« WIRD VON INITDB 
BENöTIGT, ABER WURDE NICHT IM^M
Feb 26 10:09:44 in-target: SELBEN VERZEICHNIS WIE 
»/USR/LIB/POSTGRESQL/8.3/BIN/INITDB« GEFUNDEN.^M
Feb 26 10:09:44 in-target: PRÃŒFEN SIE IHRE INSTALLATION.^M
Feb 26 10:09:44 in-target: ERROR: INITDB FAILED^M
Feb 26 10:09:44 in-target: ERROR: COULD NOT CREATE DEFAULT CLUSTER. 
PLEASE CREATE IT MANUALLY WITH^M
Feb 26 10:09:44 in-target: ^M
Feb 26 10:09:44 in-target:   PG_CREATECLUSTER 8.3 MAIN --START^M
Feb 26 10:09:44 in-target: ^M
Feb 26 10:09:44 in-target: OR A SIMILAR COMMAND (SEE 'MAN 
PG_CREATECLUSTER').^M
Feb 26 10:09:44 in-target: RICHTE POSTGRESQL EIN (8.3.6-1) ...^M
Feb 26 10:09:44 in-target: RICHTE POSTGRESQL-CLIENT EIN (8.3.6-1) ...^M
Feb 26 10:09:44 in-target: RICHTE POSTGRESQL-CONTRIB-8.3 EIN (8.3.6-1) 
....^M
Feb 26 10:09:44 in-target: RICHTE POSTGRESQL-CONTRIB EIN (8.3.6-1) ...^M
Feb 26 10:09:44 in-target: RICHTE POSTGRESQL-DOC-8.3 EIN (8.3.6-1) ...^M
Feb 26 10:09:44 in-target: RICHTE POSTGRESQL-DOC EIN (8.3.6-1) ...^M


-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages postgresql-8.3 depends on:
ii  libc6                 2.7-18             GNU C Library: Shared libraries
ii  libcomerr2            1.41.3-1           common error description library
ii  libkrb53              1.6.dfsg.4~beta1-5 MIT Kerberos runtime libraries
ii  libldap-2.4-2         2.4.11-1           OpenLDAP libraries
ii  libpam0g              1.0.1-5            Pluggable Authentication Modules l
ii  libpq5                8.3.6-1            PostgreSQL C client library
ii  libssl0.9.8           0.9.8g-15          SSL shared libraries
ii  libxml2               2.6.32.dfsg-5      GNOME XML library
ii  locales               2.7-18             GNU C Library: National Language (
ii  postgresql-client-8.3 8.3.6-1            front-end programs for PostgreSQL 
ii  postgresql-common     94lenny1           PostgreSQL database-cluster manage
ii  ssl-cert              1.0.23             simple debconf wrapper for OpenSSL
ii  tzdata                2008h-2            time zone and 
daylight-saving time

postgresql-8.3 recommends no packages.

Versions of packages postgresql-8.3 suggests:
pn  oidentd | ident-server        <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#517389; Package postgresql-8.3. (Sat, 28 Feb 2009 13:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. (Sat, 28 Feb 2009 13:27:05 GMT) Full text and rfc822 format available.

Message #10 received at 517389@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Ralf Swhajor <development@industryconsult.de>, 517389@bugs.debian.org
Subject: Re: Bug#517389: postgresql-8.3: cannot create db cluster during installation 8.3 on lenny
Date: Sat, 28 Feb 2009 14:23:49 +0100
[Message part 1 (text/plain, inline)]
reassign 517389 debian-installer
severity 517389 important
thanks

Ralf Swhajor [2009-02-27 13:46 +0100]:
> the installation process cannot create the db cluster.
> all directories .../8.3/main are missing.
> [...]
> Feb 26 10:09:44 in-target: RICHTE POSTGRESQL-8.3 EIN (8.3.6-1) ...^M
> Feb 26 10:09:44 in-target: CREATING NEW CLUSTER (CONFIGURATION: 
> /ETC/POSTGRESQL/8.3/MAIN, DATA: /VAR/LIB/POSTGRESQL/8.3/MAIN)...^M
> Feb 26 10:09:44 in-target: SH: /DEV/NULL: KEINE BERECHTIGUNG^M

I have seen that a couple of times already, and this doesn't happen in
an installed system. For some reason, the permissions of /dev/null are
wrecked in the installer environment?

FYI, you should be able to create a cluster using

  pg_createcluster 8.3 main --start

after installation.

Thanks,

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `postgresql-8.3' to `debian-installer'. Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Sat, 28 Feb 2009 13:27:08 GMT) Full text and rfc822 format available.

Severity set to `important' from `grave' Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Sat, 28 Feb 2009 13:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#517389; Package debian-installer. (Sat, 28 Feb 2009 16:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 28 Feb 2009 16:24:04 GMT) Full text and rfc822 format available.

Message #19 received at 517389@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 517389@bugs.debian.org
Cc: udev@packages.debian.org, Martin Pitt <mpitt@debian.org>
Subject: Re: Processed: Re: Bug#517389: postgresql-8.3: cannot create db cluster during installation 8.3 on lenny
Date: Sat, 28 Feb 2009 16:21:01 +0000
reassign 517389 udev-udeb
thanks

On Sat, Feb 28, 2009 at 01:27:09PM +0000, Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
> 
> > reassign 517389 debian-installer
> Bug#517389: postgresql-8.3: cannot create db cluster during installation 8.3 on lenny
> Bug reassigned from package `postgresql-8.3' to `debian-installer'.
> 
> > severity 517389 important
> Bug#517389: postgresql-8.3: cannot create db cluster during installation 8.3 on lenny
> Severity set to `important' from `grave'

This is a udev bug: it doesn't ship 91-permissions.rules.

With udev 125, it would be rather tedious to fix this: we'd have to have
a cut-down version of 91-permissions.rules that only contained the mode
changes, not owner/group changes, otherwise we'd get lots of warning
messages since d-i only has trivial passwd and group databases. However,
udev 137 introduced a udevd option specifically for this kind of
purpose. udev-udeb should start udevd with the --resolve-names=never
option, and then it can simply ship the same 91-permissions.rules as is
shipped in the .deb and this will all work properly.

-- 
Colin Watson                                       [cjwatson@debian.org]




Bug reassigned from package `debian-installer' to `udev-udeb'. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Sat, 28 Feb 2009 16:24:06 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 23 Mar 2009 19:12:06 GMT) Full text and rfc822 format available.

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Thu, 26 Mar 2009 21:54:14 GMT) Full text and rfc822 format available.

Notification sent to Ralf Swhajor <development@industryconsult.de>:
Bug acknowledged by developer. (Thu, 26 Mar 2009 21:54:14 GMT) Full text and rfc822 format available.

Message #28 received at 517389-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 517389-close@bugs.debian.org
Subject: Bug#517389: fixed in udev 0.140-1
Date: Thu, 26 Mar 2009 21:28:05 +0000
Source: udev
Source-Version: 0.140-1

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

libudev-dev_0.140-1_i386.deb
  to pool/main/u/udev/libudev-dev_0.140-1_i386.deb
libudev0_0.140-1_i386.deb
  to pool/main/u/udev/libudev0_0.140-1_i386.deb
libvolume-id-dev_0.140-1_i386.deb
  to pool/main/u/udev/libvolume-id-dev_0.140-1_i386.deb
libvolume-id1_0.140-1_i386.deb
  to pool/main/u/udev/libvolume-id1_0.140-1_i386.deb
udev-udeb_0.140-1_i386.udeb
  to pool/main/u/udev/udev-udeb_0.140-1_i386.udeb
udev_0.140-1.diff.gz
  to pool/main/u/udev/udev_0.140-1.diff.gz
udev_0.140-1.dsc
  to pool/main/u/udev/udev_0.140-1.dsc
udev_0.140-1_i386.deb
  to pool/main/u/udev/udev_0.140-1_i386.deb
udev_0.140.orig.tar.gz
  to pool/main/u/udev/udev_0.140.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 517389@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 Mar 2009 13:16:50 +0100
Source: udev
Binary: udev libudev0 libudev-dev libvolume-id1 libvolume-id-dev udev-udeb
Architecture: source i386
Version: 0.140-1
Distribution: unstable
Urgency: low
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 libudev-dev - libudev development headers
 libudev0   - libudev shared library
 libvolume-id-dev - libvolume_id development headers
 libvolume-id1 - libvolume_id shared library
 udev       - /dev/ and hotplug management daemon
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 495645 504107 504928 505916 508458 509154 512442 517389 518109
Changes: 
 udev (0.140-1) unstable; urgency=low
 .
   * New upstream release. (Closes: #509154) Fixes:
     + Typo in usb_id. (Closes: #495645, #508458)
   * Removed support for upgrading from sarge.
   * Upgraded debhelper level to 5.
   * Removed patch enable_after_udev which probably is not useful anymore.
   * Finally removed support for scsi_id -s, so added a conflict with
     multipath-tools << 0.4.8-12.
   * Support kernel-specific firmware directories. (Closes: #504928)
   * Set all devices created in d-i to mode 666. (Closes: #517389)
   * Removed /etc/modprobe.d/pnp-hotplug in the hope that it is not needed
     anymore.
   * Merged /etc/modprobe.d/display_class in /etc/modprobe.d/blacklist.
   * Renamed /etc/modprobe.d/blacklist to /etc/modprobe.d/blacklist.conf.
     (Closes: #518109)
   * /etc/modprobe.d/blacklist.conf: added hpwdt, it8712f_wdt, iTCO_wdt,
     pc87413_wdt, sbc7240_wdt, sbc_epx_c3, smsc37b787_wdt, w83697hf_wdt.
     (Closes: #504107)
   * Added a /usr/bin/udevinfo symlink to support old HAL releases.
   * Fixed a typo in README.Debian. (Closes: #505916)
   * udev.rules: added block/MAJ:MIN and char/MAJ:MIN links.
   * udev.rules: create the rtc link only for rtc_cmos devices.
   * udev.rules: removed the isdn/capi20 link.
   * udev.rules, permissions.rules: added uat and ucma group rdma.
   * udev.rules: make sr* the device names and scd* the compatibility links.
   * permissions.rules: added pmu group video.
   * permissions.rules: added mwave, hvc* and hvsi* group dialout.
   * permissions.rules: removed rtc group audio.
   * persistent-storage.rules: do not probe optical drivers which do not
     have a media inserted. (Closes: #512442)
   * persistent-storage.rules: ignore btibm* devices, unignore loop* and
     ram* devices.
   * persistent-storage-tape.rules: do not add a second -nst suffix.
   * persistent-v4l.rules: added by-id links for USB devices.
   * drivers.rules: always use modprobe -b.
   * Added 60-persistent-serial.rules.
Checksums-Sha1: 
 460688ed6e304a6756e87dd770e2cd3b05b49e51 1024 udev_0.140-1.dsc
 1e6b9caa07c7a53e699c1d6fe4caaadcddf14f0b 600458 udev_0.140.orig.tar.gz
 1375a0a30a6c2f969a7158b3ad60da4be362400f 65075 udev_0.140-1.diff.gz
 e0e4c4572fbde0a34c8a972e269b6ccf34f4ad32 314706 udev_0.140-1_i386.deb
 d8297d8803a5608d8ceee62a5faf0e700bcaf122 89944 libudev0_0.140-1_i386.deb
 3b68755fe4ce87a6e4cb6bbb5e89c9789664957f 2732 libudev-dev_0.140-1_i386.deb
 dbb6f0089f21b52d7ed2f4a1ee9e88f301d0e765 88938 libvolume-id1_0.140-1_i386.deb
 7d9f4d2d7623f3164b1c0e832b65cf5e61c57bb4 2008 libvolume-id-dev_0.140-1_i386.deb
 743fb3119852940f3ceccbaa1627d4d1b2bd7f6a 148402 udev-udeb_0.140-1_i386.udeb
Checksums-Sha256: 
 3b08dcca665642c64d224edd80b616b32e102fc659da9e6d8d8cc78770350306 1024 udev_0.140-1.dsc
 0a6cf177ae6a6dcf12985cd28fbc5376d873bfe9ca8b7f2fb55756206b268393 600458 udev_0.140.orig.tar.gz
 26a1f4a89b83635f0b7bcbb1a8315930f16b3853686fd9d0904548fbbb21428d 65075 udev_0.140-1.diff.gz
 37e7e09a14b9cbb7be461d1a3599162d685b137e71f25d8d5435b2c215769687 314706 udev_0.140-1_i386.deb
 cb5a256f1e24581f9de712cda569c84cc27f222932379dfe79732cfcf2c70293 89944 libudev0_0.140-1_i386.deb
 66f16320b79e7ff8a698313af21ee84833dd275598ecdce4020e3b575b8d1d05 2732 libudev-dev_0.140-1_i386.deb
 9bc678790f219e5011413df3927a1c4f2342b49e62a437955e46eaeaa059e6c2 88938 libvolume-id1_0.140-1_i386.deb
 1d555a55ec1671dfa82cf35c11f3652204baa23e8528bb94cfae0a381712b799 2008 libvolume-id-dev_0.140-1_i386.deb
 e4a741e627506592555fd0f1d3a73c9eb715cea8461bf3617842ef2200ba82bf 148402 udev-udeb_0.140-1_i386.udeb
Files: 
 74adcc1ef732cbeeebd6bdb5b7fe85d8 1024 admin important udev_0.140-1.dsc
 a435ba525620e37baedf1ad9d41fe73a 600458 admin important udev_0.140.orig.tar.gz
 7b644c62fbf6ba6a31d8fa889e008cbb 65075 admin important udev_0.140-1.diff.gz
 743a9d1a6b3afe8fe5dc1a2982810cdd 314706 admin important udev_0.140-1_i386.deb
 44caaef309f0625c915e63355fa2eee4 89944 libs important libudev0_0.140-1_i386.deb
 a954abe2ff69c44ec9344080ac0b47ef 2732 libdevel optional libudev-dev_0.140-1_i386.deb
 aa7120d0fd8794c07b52ba78065e9d75 88938 libs required libvolume-id1_0.140-1_i386.deb
 5975e9b28bc7d28dd5a108623b50e84e 2008 libdevel optional libvolume-id-dev_0.140-1_i386.deb
 396df896123a65a65d40ce7d5d74c914 148402 debian-installer important udev-udeb_0.140-1_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknHfz4ACgkQFGfw2OHuP7HUEQCfZvbuqORGR38xZc+5laArjsTc
mpcAn1IJwnTRTUhbB4kr2AuuEf9aq/rs
=tFIN
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#517389; Package udev-udeb. (Sat, 28 Mar 2009 17:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Todd Mazierski <todd@bluegroundtech.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 28 Mar 2009 17:33:02 GMT) Full text and rfc822 format available.

Message #33 received at 517389@bugs.debian.org (full text, mbox):

From: Todd Mazierski <todd@bluegroundtech.com>
To: 517389@bugs.debian.org
Subject: postgresql-8.3: cannot create db cluster during installation 8.3 on lenny
Date: Sat, 28 Mar 2009 13:32:02 -0400
[Message part 1 (text/html, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 30 Apr 2009 07:29:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:20:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.